Class cCodec

    Public Const AUDIO_CODEC_NAME_G711U As String = "G711u-Law"
    Public Const AUDIO_CODEC_NAME_G711A As String = "G711a-Law"
    Public Const AUDIO_CODEC_NAME_ILBC As String = "iLBC"
    Public Const AUDIO_CODEC_NAME_GSM610 As String = "GSM6.10"
    Public Const AUDIO_CODEC_NAME_G729 As String = "G729"

    Public Shared Function GetCodecNo(ByVal sCodecName As String) As String

        Dim objCodecList As ArrayList = New ArrayList()

        objCodecList.Add(AUDIO_CODEC_NAME_G711U)
        objCodecList.Add(AUDIO_CODEC_NAME_G711A)
        objCodecList.Add(AUDIO_CODEC_NAME_ILBC)
        objCodecList.Add(AUDIO_CODEC_NAME_GSM610)
        objCodecList.Add(AUDIO_CODEC_NAME_G729)

        Dim nCodeNo As Integer = objCodecList.IndexOf(sCodecName)

        Dim sCodecNo As String = ""
        If nCodeNo <> -1 Then sCodecNo = Convert.ToString(nCodeNo)

        Return sCodecNo

    End Function

    Public Shared Function GetCodecName(ByVal nCodecNo As Integer) As String

        Dim sCodecName As String = ""

        Select Case nCodecNo
            Case cVaxServerCOM.VAX_CODEC_G711U
                sCodecName = AUDIO_CODEC_NAME_G711U
            Case cVaxServerCOM.VAX_CODEC_G711A
                sCodecName = AUDIO_CODEC_NAME_G711A
            Case cVaxServerCOM.VAX_CODEC_ILBC
                sCodecName = AUDIO_CODEC_NAME_ILBC
            Case cVaxServerCOM.VAX_CODEC_GSM610
                sCodecName = AUDIO_CODEC_NAME_GSM610
            Case cVaxServerCOM.VAX_CODEC_G729
                sCodecName = AUDIO_CODEC_NAME_G729
        End Select

        Return sCodecName

    End Function

    Public Shared Function GetCodecName(ByVal cCodecNo As Char) As String
        Dim nCodecNo As Integer = Convert.ToInt32(cCodecNo.ToString())
        Return cCodec.GetCodecName(nCodecNo)
    End Function

End Class
