﻿Imports System
Imports System.Collections

Namespace ServerREC

    Class cVaxUserList

        Private m_objDataList As cVaxHashText = Nothing

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Sub New()
            m_objDataList = New cVaxHashText(1024)
        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Sub AddUser(ByVal sUserName As String)

            m_objDataList.RemoveData(sUserName)

            Dim objUser As cVaxUser = New cVaxUser(sUserName)
            m_objDataList.AddData(sUserName, objUser)

        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Function GetUser(ByVal sUserName As String) As cVaxUser
            Return CType(m_objDataList.FindData(sUserName), cVaxUser)
        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Function IsExist(ByVal sUserName As String) As Boolean
            Return m_objDataList.IsExistData(sUserName)
        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Sub RemoveUser(ByVal sUserName As String)
            m_objDataList.RemoveData(sUserName)
        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Sub GetUserAll(ByRef objList As ArrayList)
            m_objDataList.GetNameAll(objList)
        End Sub

        Public Sub ClearAll()
            m_objDataList.ClearAll()
        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

    End Class

End Namespace
