#include "StdAfx.h"
#include "GenFileLoc.h"


CGenFileLoc::CGenFileLoc()
{
}

CGenFileLoc::~CGenFileLoc(void)
{
}

CString CGenFileLoc::GenRecordingFilePath(LONG lSessionId, LPCTSTR sRecFolderPath)
{
	CString sFullPath = GetFullPath(sRecFolderPath);

	if(sFullPath.IsEmpty())
		return "";

	CString sFileName;
	sFileName.Format("%s\\%d.wav", sFullPath, lSessionId);

	return sFileName;
}



BOOL CGenFileLoc::CreateDirectory(CString sDirPath)
{
	if (GetFileAttributes(sDirPath) != INVALID_FILE_ATTRIBUTES) 
		return TRUE;

	if(!::CreateDirectory(sDirPath, NULL))
		return FALSE;

	return TRUE;
}

CString CGenFileLoc::GetFullPath(CString sRecPath)
{	
	if(CString(sRecPath).IsEmpty())
		return "";

	if(!CreateDirectory(sRecPath))
		return "";

	SYSTEMTIME sysTime;
	GetLocalTime(&sysTime);
		
	CString sFullRecDir;
	
	sFullRecDir.Format("%s\\%d", sRecPath, sysTime.wYear);
	if(!CreateDirectory(sFullRecDir)) return "";

	sRecPath = sFullRecDir;

	sFullRecDir.Format("%s\\%d", sRecPath, sysTime.wMonth);
	if(!CreateDirectory(sFullRecDir)) return "";

	sRecPath = sFullRecDir;

	sFullRecDir.Format("%s\\%d", sRecPath, sysTime.wDay);
	if(!CreateDirectory(sFullRecDir)) return "";

	return sFullRecDir;
}