
#define VAX_PIPE_CLIENT_BUFFER_LENGTH	64000

class CVaxPipeClient;

class CVaxPipeThread
{

public:

	CVaxPipeThread();
	~CVaxPipeThread();

private:

	HANDLE m_hThread;
	DWORD m_dwThreadId;
		
private:

	static DWORD WINAPI VaxSysThreadProcUI(LPVOID pParam);

public:

	BOOLEAN StartThread(LPCTSTR sPipeNameZERO, LPCTSTR sPipeNameONE);
	void StopThread();
	
private:

	static BOOLEAN ProcessThreadPostedMsg(BOOLEAN& bQuitThread);
	static void ProcessThreadWaitEvent(int nMediaPos, CVaxPipeClient* pPipeClient, CVaxPipeThread* pPipeThread);

protected:

	virtual void OnVaxPipeClientRecvPCM(int nMediaPos, char* pDataPCM, int nSizePCM) = 0;
};


