#include "StdAfx.h"
#include "StoreRegistry.h"
#include "StoreCOMM.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////

#define COMM_ROOT_PATH	"COMM\\"

/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////

BOOL CStoreCOMM::SetListenPortSIP(LONG nListenPort)
{
	CString sKeyPath;
	sKeyPath.Format("%s", COMM_ROOT_PATH);
		
	CStoreRegistry objStore;
    objStore.SetINT(sKeyPath, "ListenPortSIP", nListenPort);

	return TRUE;	
}

LONG CStoreCOMM::GetListenPortSIP()
{
	CString sKeyPath;
	sKeyPath.Format("%s", COMM_ROOT_PATH);

	LONG nListenPort = SIP_DEFAULT_PORT;

	CStoreRegistry objStore;
	objStore.GetINT(sKeyPath, "ListenPortSIP", nListenPort, SIP_DEFAULT_PORT);

	return nListenPort;
}

/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////

BOOL CStoreCOMM::IsDataStored()
{
	CStoreRegistry objStore;
	return objStore.IsKeyExist(COMM_ROOT_PATH);
}