﻿Imports System
Imports System.Collections

Namespace ServerREC

    Class cStoreCOMM

        Const COMM_ROOT_PATH As String = "COMM\"

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Shared Function SetListenPortSIP(ByVal nListenPort As Integer) As Boolean

            Dim sKeyPath As String = COMM_ROOT_PATH
            Dim objStore As cStoreRegistry = New cStoreRegistry()

            objStore.SetINT(sKeyPath, "ListenPortSIP", nListenPort)
            objStore.Close()

            Return True

        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Shared Function GetListenPortSIP() As Integer

            Dim sKeyPath As String = COMM_ROOT_PATH

            Dim objStore As cStoreRegistry = New cStoreRegistry()
            Dim nListenPortSIP As Integer = cVaxServerCOM.SIP_DEFAULT_PORT

            objStore.GetINT(sKeyPath, "ListenPortSIP", nListenPortSIP, cVaxServerCOM.SIP_DEFAULT_PORT)
            objStore.Close()

            Return nListenPortSIP

        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Shared Function IsDataStored() As Boolean

            Dim objStore As cStoreRegistry = New cStoreRegistry()

            Dim bResult As Boolean = objStore.IsKeyExist(COMM_ROOT_PATH)
            objStore.Close()

            Return bResult

        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

    End Class

End Namespace
