#include "afxwin.h"

#pragma once

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

class CAddLoginDlg : public CPropertyPage
{

public:

	CAddLoginDlg();   // standard constructor

private:
		
	void LoadLoginAll();
		
private:

	void ShowLoginDetails();
	void UpdateAudioCodecUI(LPCTSTR sAudioCodecList);

	void ClearDlgUI();
	void UpdateDlgUI(LPCTSTR sLogin, LPCTSTR sPassword, LPCTSTR sAudioCodecList);

	BOOL AddLoginChecks();
	CString GetAudioCodecUI();
	
// Dialog Data
	//{{AFX_DATA(CAddLoginDlg)
	enum { IDD = IDD_DIALOG_ADD_LOGIN };
	CComboBox	m_ctrlComboLogin;
	CListBox	m_ctrlEnableCodecList;
	CListBox	m_ctrlDisableCodecList;
	CString	m_sPasswordSIP;
	CString	m_sLoginSIP;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddLoginDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddLoginDlg)
	afx_msg void OnButtonLoginAdd();
	afx_msg void OnButtonRemoveLogin();
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonEnableCodec();
	afx_msg void OnButtonDisableCodec();
	afx_msg void OnSelchangeComboLogin();
	afx_msg void OnButtonClear();
	afx_msg void OnButtonLoginHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	virtual BOOL OnSetActive();
	
private:
		
	CEdit m_ctrlEditPassword;
};

