﻿using System;
using System.Collections;

namespace ServerREC
{
    public class cVaxHashTextData : Object
    {
        public String m_sName;
    }

    public class cVaxHashText
    {
        Hashtable m_objDataList = null;

        public cVaxHashText()
        {
            m_objDataList = new Hashtable(16);
        }

        public cVaxHashText(int nSize)
        {
            m_objDataList = new Hashtable(nSize);
        }

        ////////////////////////////////////////////////////////////////////////////////////////////////////////
        ////////////////////////////////////////////////////////////////////////////////////////////////////////

        private String GenKey(String sValue)
        {
            return sValue.ToLower();
        }

        ////////////////////////////////////////////////////////////////////////////////////////////////////////
        ////////////////////////////////////////////////////////////////////////////////////////////////////////

        public void AddData(String sName, cVaxHashTextData objData)
        {
            RemoveData(sName);

            objData.m_sName = sName;
            m_objDataList.Add(GenKey(sName), objData);
        }

        public void RemoveData(String sName)
        {
            m_objDataList.Remove(GenKey(sName));
        }

        ////////////////////////////////////////////////////////////////////////////////////////////////////////
        ////////////////////////////////////////////////////////////////////////////////////////////////////////

        public cVaxHashTextData FindData(String sName)
        {
            if(!m_objDataList.ContainsKey(GenKey(sName)))
                return null;

            return (cVaxHashTextData) m_objDataList[GenKey(sName)];
        }
        
        public Boolean IsExistData(String sName)
        {
            return m_objDataList.ContainsKey(GenKey(sName));
        }

        ////////////////////////////////////////////////////////////////////////////////////////////////////////
        ////////////////////////////////////////////////////////////////////////////////////////////////////////
                
        public void GetNameAll(ref ArrayList objList)
        {
            objList.Clear();

            IDictionaryEnumerator objDataEnum = m_objDataList.GetEnumerator();
            DictionaryEntry objDataEntry;

            while (objDataEnum.MoveNext())
            {
                objDataEntry = (DictionaryEntry) objDataEnum.Current;
                cVaxHashTextData objData = (cVaxHashTextData)objDataEntry.Value;

                objList.Add(objData.m_sName);
            }
        }

        public void ClearAll()
        {
            m_objDataList.Clear();
        }
    }
}
