﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CSharpSipServer
{
    public class cCallStatus
    {
        StringBuilder sStatusBuilder = new StringBuilder();

        public String GenOpenCallStatus(long lConnectId)
	    {
            sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call Opened with CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public String GenSuccessToCallStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Success To Connect with CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public String GenFailToCallStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Fail To Connect with CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public String GenLostCallStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call Lost with CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public String GenCloseCallStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call Closed With CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public String GenOffHoldStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call put OffHold With CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public String GenOnHoldStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call put OnHold With CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }

	    public String GenTransferBlindStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call Blind Transfer With CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	    public String GenTransferConsultStatus(long lConnectIdFrom, long lConnectIdTo)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call Consult Transfer From CallID: {0} To CallID: {1}", lConnectIdFrom, lConnectIdTo);
		    return sStatusBuilder.ToString();
	    }
    };

    class cUserStatus
    {
        StringBuilder sStatusBuilder = new StringBuilder();

	    public String GenTryingToReg(String sUserName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("USER {0} Trying To Register.", sUserName);
		    return sStatusBuilder.ToString();
	    }

	    public String GenSuccessToReg(String sUserName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("USER {0} Succes To Register.", sUserName);
		    return sStatusBuilder.ToString();	
	    }

	    public String GenFailToReg(String sUserName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("USER {0} Fail To Register.", sUserName);
		    return sStatusBuilder.ToString();	
	    }

	    public String GenSuccessToUnReg(String sUserName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("USER {0} Succes To UnRegister.", sUserName);
		    return sStatusBuilder.ToString();	
	    }
    };

    class cLineStatus
    {
        StringBuilder sStatusBuilder = new StringBuilder();

	    public String GenTryingToRegStatus(String sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
            sStatusBuilder.AppendFormat("LINE \'{0}\' Trying To Register.", sLineName);
            return sStatusBuilder.ToString();
	    }
	    public String GenSuccessToRegStatus(String sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("LINE \'{0}\' Register Success.", sLineName);
		    return sStatusBuilder.ToString();
	    }
	    public String GenFailToRegStatus(String sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("LINE \'{0}\' Fail To Register.", sLineName);
		    return sStatusBuilder.ToString();
	    }

	    public String GenTryingToUnRegStatus(String sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("LINE \'{0}\' Trying To UnRegister.", sLineName);
		    return sStatusBuilder.ToString();
	    }
	    public String GenSuccessToUnRegStatus(String sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("LINE \'{0}\' Success To UnRegister.", sLineName);
		    return sStatusBuilder.ToString();
	    }
	    public String GenFailToUnRegStatus(String sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("LINE \'{0}\' Fail To UnRegister.", sLineName);
		    return sStatusBuilder.ToString();
	    }

    }
}
