﻿using System;
using System.Collections;

namespace ServerREC
{
    class cVaxCallSessionList
    {
        Hashtable m_objDataList = null;

        public cVaxCallSessionList()
        {
            m_objDataList = new Hashtable(4096);
        }

        public void AddSession(int nSessionId)
        {
            m_objDataList.Remove(nSessionId);

            cVaxCallSession objData = new cVaxCallSession();
            m_objDataList.Add(nSessionId, objData);
        }

        public cVaxCallSession GetSession(int nSessionId)
        {
            return (cVaxCallSession) m_objDataList[nSessionId];
        }

        public Boolean IsExist(int nSessionId)
        {
            return m_objDataList.ContainsKey(nSessionId);
        }

        public void RemoveSession(int nSessionId)
        {
            m_objDataList.Remove(nSessionId);
        }

        public void ClearAll()
        {
            m_objDataList.Clear();
        }
    }
}
