﻿using System;
using System.Collections;

namespace ServerREC
{
    class cVaxSettingDefault
    {
        /////////////////////////////////////////////////////////////////////////////////
        /////////////////////////////////////////////////////////////////////////////////

        public static Boolean LoadUserDefault()
        {
            if (cStoreUser.IsDataStored())
                return false;

            for (int nCount = 4000; nCount <= 4050; nCount++)
                cVaxUser.AddUser(nCount.ToString(), nCount.ToString(), "32014");

            for (int nCount = 6000; nCount <= 6020; nCount++)
                cVaxUser.AddUser(nCount.ToString(), nCount.ToString(), "32014");

            for (int nCount = 8000; nCount <= 8020; nCount++)
                cVaxUser.AddUser(nCount.ToString(), nCount.ToString(), "32014");

            return true;
        }
                
        public static Boolean LoadLineDefault()
        {
            if (cStoreLine.IsDataStored())
                return false;

            cVaxLine.AddLine("LineServiceProviderTech", cVaxServerCOM.VAX_LINE_TYPE_UDP, "9090", "9090", "192.168.0.119", 5060, "32", false);
            cVaxLine.AddLine("LineServiceProviderDesign", cVaxServerCOM.VAX_LINE_TYPE_UDP, "9092", "9092", "192.168.0.119", 5060, "32", false);

            return true;
        }
    }
}
