﻿using System;
using System.Collections;

namespace ServerREC
{
    class cStoreCOMM
    {
        const String COMM_ROOT_PATH = "COMM\\";

        public static Boolean SetListenPortSIP(int nListenPort)
        {
            String sKeyPath = COMM_ROOT_PATH;
            cStoreRegistry objStore = new cStoreRegistry();

            objStore.SetINT(sKeyPath, "ListenPortSIP", nListenPort);
            objStore.Close();

            return true;
        }

        public static int GetListenPortSIP()
        {
            String sKeyPath = COMM_ROOT_PATH;
            cStoreRegistry objStore = new cStoreRegistry();

            int nListenPortSIP = cVaxServerCOM.SIP_DEFAULT_PORT;

            objStore.GetINT(sKeyPath, "ListenPortSIP", ref nListenPortSIP, cVaxServerCOM.SIP_DEFAULT_PORT);
            objStore.Close();

            return nListenPortSIP;
        }

        //////////////////////////////////////////////////////////////////////
        //////////////////////////////////////////////////////////////////////

        public static Boolean IsDataStored()
        {
            cStoreRegistry objStore = new cStoreRegistry();
            Boolean bResult = objStore.IsKeyExist(COMM_ROOT_PATH);
            
            objStore.Close();
            return bResult;
        }

    }
}
